Bug 606310 - SELinux is preventing /bin/bash "execute" access on /usr/sbin/ipsec.
Summary: SELinux is preventing /bin/bash "execute" access on /usr/sbin/ipsec.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: Milos Malik
URL:
Whiteboard: setroubleshoot_trace_hash:a0e390e0c11...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-21 11:58 UTC by Matěj Cepl
Modified: 2012-10-15 15:08 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.7.19-26.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:34:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matěj Cepl 2010-06-21 11:58:35 UTC
Souhrn:

SELinux is preventing /bin/bash "execute" access on /usr/sbin/ipsec.

Podrobný popis:

[SELinux je v tolerantním režimu. Přístup byl povolen.]

SELinux denied access requested by ipsec. It is not expected that this access is
required by ipsec and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Další informace:

Kontext zdroje                system_u:system_r:NetworkManager_t:s0
Kontext cíle                 system_u:object_r:ipsec_mgmt_exec_t:s0
Objekty cíle                 /usr/sbin/ipsec [ file ]
Zdroj                         ipsec
Cesta zdroje                  /bin/bash
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          bash-4.1.2-2.el6
RPM balíčky cíle           openswan-2.6.25-2.el6
RPM politiky                  selinux-policy-3.7.19-25.el6
Selinux povolen               True
Typ politiky                  targeted
Vynucovací režim            Permissive
Název zásuvného modulu     catchall
Název počítače            (removed)
Platforma                     Linux (removed) 2.6.32-36.el6.x86_64 #1
                              SMP Wed Jun 16 15:48:48 EDT 2010 x86_64 x86_64
Počet upozornění           3
Poprvé viděno               Po 21. červen 2010, 13:51:53 CEST
Naposledy viděno             Po 21. červen 2010, 13:51:53 CEST
Místní ID                   239ab2f6-f508-4ea8-9f72-38e1069f976f
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1277121113.848:3073): avc:  denied  { execute } for  pid=17816 comm="nm-openswan-ser" name="ipsec" dev=dm-1 ino=527349 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:ipsec_mgmt_exec_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1277121113.848:3073): avc:  denied  { read open } for  pid=17816 comm="nm-openswan-ser" name="ipsec" dev=dm-1 ino=527349 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:ipsec_mgmt_exec_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1277121113.848:3073): avc:  denied  { execute_no_trans } for  pid=17816 comm="nm-openswan-ser" path="/usr/sbin/ipsec" dev=dm-1 ino=527349 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:ipsec_mgmt_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1277121113.848:3073): arch=c000003e syscall=59 success=yes exit=0 a0=402f05 a1=1a76850 a2=7fff02b20c48 a3=7 items=0 ppid=1 pid=17816 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ipsec" exe="/bin/bash" subj=system_u:system_r:NetworkManager_t:s0 key=(null)



Hash String generated from  catchall,ipsec,NetworkManager_t,ipsec_mgmt_exec_t,file,execute
audit2allow suggests:

#============= NetworkManager_t ==============
allow NetworkManager_t ipsec_mgmt_exec_t:file { read execute open execute_no_trans };

Comment 2 RHEL Product and Program Management 2010-06-21 12:23:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Daniel Walsh 2010-06-21 13:15:54 UTC
Fixed in selinux-policy-3.7.19-26.el6.noarch

Comment 6 releng-rhel@redhat.com 2010-11-10 21:34:49 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.